/// <reference types="node" />
import { Readable } from 'stream';
import { flags } from '@oclif/command';
import JBrowseCommand, { Track } from '../base';
export default class TextIndex extends JBrowseCommand {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        tracks: flags.IOptionFlag<string | undefined>;
        target: flags.IOptionFlag<string | undefined>;
        out: flags.IOptionFlag<string | undefined>;
        attributes: flags.IOptionFlag<string>;
        assemblies: flags.IOptionFlag<string | undefined>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        perTrack: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        exclude: flags.IOptionFlag<string>;
        prefixSize: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        file: flags.IOptionFlag<string[]>;
        dryrun: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    run(): Promise<void>;
    aggregateIndex(): Promise<void>;
    perTrackIndex(): Promise<void>;
    indexFileList(): Promise<void>;
    indexDriver({ configs, attributes, outDir, name, quiet, exclude, assemblyNames, prefixSize, }: {
        configs: Track[];
        attributes: string[];
        outDir: string;
        name: string;
        quiet: boolean;
        exclude: string[];
        assemblyNames: string[];
        prefixSize: number;
    }): Promise<void>;
    indexFiles(trackConfigs: Track[], attributes: string[], outLocation: string, quiet: boolean, typesToExclude: string[]): AsyncGenerator<string, void, unknown>;
    runIxIxx(readStream: Readable, outLocation: string, name: string, prefixSize: number): Promise<void>;
    getTrackConfigs(configPath: string, trackIds?: string[], assemblyName?: string): Promise<Track[]>;
}
